import { Nested, TypeSaveProperty } from 'dotup-ts-types';
import { BaseGenerator, GeneratorOptions } from 'dotup-typescript-yeoman-generators';
import { ProjectQuestions } from './ProjectQuestions';
export declare type PartialProjectQuestions = Partial<TypeSaveProperty<Nested<ProjectQuestions, string>>>;
export declare class ProjectGenerator extends BaseGenerator<ProjectQuestions> {
    constructor(args: string | string[], options: GeneratorOptions<ProjectQuestions>);
    initializing(): Promise<void>;
    prompting(): Promise<void>;
}
